# Copyright (c) 2008-2009 gocept gmbh & co. kg
# See also LICENSE.txt
# $Id: resourcegroups.py 16250 2009-06-17 13:29:20Z ctheune $

import grok

import gocept.directory.container
import gocept.directory.form
import gocept.directory.interfaces
import gocept.directory.resourcegroup


class ResourceGroups(gocept.directory.container.Container):

    grok.implements(gocept.directory.interfaces.IResourceGroups)


grok.templatedir('containertemplates')

class Index(gocept.directory.container.ContainerView):
    pass


class Add(gocept.directory.form.BasicAddForm):

    factory = gocept.directory.resourcegroup.ResourceGroup

    form_fields = grok.Fields(
        grok.Fields(gocept.directory.interfaces.IResourceGroup,
                    omit_readonly=True))
